Bug 18077 - Batch item modification link is bold when batch item deletion is active in tools menu
Summary: Batch item modification link is bold when batch item deletion is active in to...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-08 02:07 UTC by Aleisha Amohia
Modified: 2017-02-21 21:07 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18077: Batch item modification link is bold when batch item deletion is active in tools menu (1.71 KB, patch)
2017-02-08 02:09 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18077: Batch item modification link is bold when batch item deletion is active in tools menu (1.88 KB, patch)
2017-02-10 10:24 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18077: Batch item modification link is bold when batch item deletion is active in tools menu (1.89 KB, patch)
2017-02-14 19:37 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18077: Batch item modification link is bold when batch item deletion is active in tools menu (1.96 KB, patch)
2017-02-15 09:37 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18077: Batch item modification link is bold when batch item deletion is active in tools menu (2.04 KB, patch)
2017-02-20 14:33 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-02-08 02:07:40 UTC

    
Comment 1 Aleisha Amohia 2017-02-08 02:09:32 UTC
Created attachment 60001 [details] [review]
Bug 18077: Batch item modification link is bold when batch item deletion is active in tools menu

To test:
1) Go to Tools -> Batch item deletion
2) Notice the link for Batch item MODIFICATION is bold, not the deletion
link
3) Apply patch and refresh page
4) Correct link should now be bold.
5) Go to batch item modification and confirm the correct link is bold

Sponsored-by: Catalyst IT
Comment 2 Marc Véron 2017-02-10 10:24:17 UTC
Created attachment 60107 [details] [review]
Bug 18077: Batch item modification link is bold when batch item deletion is active in tools menu

To test:
1) Go to Tools -> Batch item deletion
2) Notice the link for Batch item MODIFICATION is bold, not the deletion
link
3) Apply patch and refresh page
4) Correct link should now be bold.
5) Go to batch item modification and confirm the correct link is bold

Sponsored-by: Catalyst IT

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Jonathan Druart 2017-02-14 09:16:44 UTC
Aleisha,
I would suggest to match for something more specific than "del", which does not sounds very robust.
We could search for the script's name and "del".
Comment 4 Aleisha Amohia 2017-02-14 19:37:31 UTC
Created attachment 60221 [details] [review]
Bug 18077: Batch item modification link is bold when batch item deletion is active in tools menu

To test:
1) Go to Tools -> Batch item deletion
2) Notice the link for Batch item MODIFICATION is bold, not the deletion
link
3) Apply patch and refresh page
4) Correct link should now be bold.
5) Go to batch item modification and confirm the correct link is bold

Sponsored-by: Catalyst IT

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 5 Marc Véron 2017-02-15 09:37:25 UTC
Created attachment 60247 [details] [review]
Bug 18077: Batch item modification link is bold when batch item deletion is active in tools menu

To test:
1) Go to Tools -> Batch item deletion
2) Notice the link for Batch item MODIFICATION is bold, not the deletion
link
3) Apply patch and refresh page
4) Correct link should now be bold.
5) Go to batch item modification and confirm the correct link is bold

Sponsored-by: Catalyst IT

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Re-tested, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 6 Jonathan Druart 2017-02-20 14:33:34 UTC
Created attachment 60468 [details] [review]
Bug 18077: Batch item modification link is bold when batch item deletion is active in tools menu

To test:
1) Go to Tools -> Batch item deletion
2) Notice the link for Batch item MODIFICATION is bold, not the deletion
link
3) Apply patch and refresh page
4) Correct link should now be bold.
5) Go to batch item modification and confirm the correct link is bold

Sponsored-by: Catalyst IT

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Re-tested, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Kyle M Hall 2017-02-21 19:57:17 UTC
Pushed to master for 17.05, thanks Aleisha!
Comment 8 Katrin Fischer 2017-02-21 21:07:01 UTC
This won't get ported back to 16.11.x as it is an enhancement.